# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Module-Load
Version:	0.22
Release:	1.%{__distinit}%{__distvers}
Summary:	Runtime require of both modules and files
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Load/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Module-Load-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Module::Load eliminates the need to know whether you are trying to
require either a file or a module.

%prep
%setup -q -n Module-Load-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load.3pm*

%changelog
* Wed Oct  5 2011 Paul Howarth <paul@city-fan.org> 0.22-1
- Update to 0.22
  - Resolve possible security problem (http://goo.gl/YzHRU) where a '::'
    prefixed module can 'jump' out of @INC

* Mon Aug  1 2011 Paul Howarth <paul@city-fan.org> 0.20-1
- Update to 0.20
  - Fix CPAN RT#69886: trailing '::' silently ignored

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> 0.18-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.18-1
- Import from Fedora
- Update to 0.18
- This release by BINGOS -> update source URL

* Mon Oct 15 2007 Steven Pritchard <steve@kspei.com> 0.12-1
- Update to 0.12
- Update License tag
- Include CHANGES doc
- BR Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.10-3
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.10-2
- Fix find option order

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.10-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Modify description slightly
- Capitalize Summary
